package com.tzld.piaoquan.content.understanding.controller;

import com.tzld.piaoquan.content.understanding.common.base.CommonResponse;
import com.tzld.piaoquan.content.understanding.model.dto.TaskResultDTO;
import com.tzld.piaoquan.content.understanding.model.param.ContentAnalyseParam;
import com.tzld.piaoquan.content.understanding.model.param.ContentUnderstandParam;
import com.tzld.piaoquan.content.understanding.model.param.SubmitTasksParam;
import com.tzld.piaoquan.content.understanding.service.ContentService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 内容分析
 */
@Slf4j
@RestController
@RequestMapping("/content/understand")
public class ContentUnderstandingController {

    @Autowired
    private ContentService contentService;

    @PostMapping(value = "/submitTasks")
    public CommonResponse<TaskResultDTO> submitTasks(@RequestBody SubmitTasksParam param) {
        TaskResultDTO taskResultDTO = contentService.submitTasks(param);
        return CommonResponse.create(taskResultDTO);
    }

    @PostMapping(value = "/queryTasks")
    public CommonResponse<TaskResultDTO> queryTasks(@RequestBody ContentUnderstandParam param) {
        TaskResultDTO taskResultDTO = contentService.queryTasks(param);
        return CommonResponse.create(taskResultDTO);
    }

    @PostMapping(value = "getVideoInfo")
    public CommonResponse<TaskResultDTO> getVideoInfo(@RequestBody ContentAnalyseParam param) {

        return CommonResponse.create();
    }

}
